<ion-card>
  <ion-card-content>
    <ion-grid class="ion-no-padding">
      <ion-row>
        <ion-col>
          <ion-item lines="none">
            <ion-label position="floating">Company</ion-label>
            <ion-input
              readonly="true"
              placeholder="Castlecraft"
              type="string"
              value="{{salesInvoiceDetails?.company ? salesInvoiceDetails.company : ''}}"
            ></ion-input>
          </ion-item>
        </ion-col>
        <ion-col>
          <ion-item lines="none">
            <ion-label position="floating">Customer</ion-label>
            <ion-input
              placeholder="Company"
              readonly="true"
              type="string"
              value="{{salesInvoiceDetails?.customer ? salesInvoiceDetails.customer  : ''}}"
            ></ion-input>
          </ion-item>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col>
          <ion-item lines="none">
            <ion-label position="floating">Address</ion-label>
            <!-- <textarea name="" id="" cols="30" rows="3" disabled>
              {{salesInvoiceDetails?.address_display ? salesInvoiceDetails.address_display : ''}}
            </textarea> -->
            <ion-input
              readonly="true"
              type="string"
              value="{{salesInvoiceDetails?.address_display ? salesInvoiceDetails.address_display : ''}}"
              placeholder="Address"
            ></ion-input>
          </ion-item>
        </ion-col>
        <ion-col>
          <ion-item lines="none">
            <ion-label position="floating">Posting Date</ion-label>
            <ion-datetime
              readonly
              placeholder="Posting Date"
              display-format="YYYY.DD.MM"
              value="{{salesInvoiceDetails?.posting_date ? salesInvoiceDetails.posting_date : ''}}"
            ></ion-datetime>
          </ion-item>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col>
          <ion-item lines="none">
            <ion-label position="floating">Due Date</ion-label>
            <ion-datetime
              readonly
              placeholder="Due Date"
              value="{{salesInvoiceDetails?.due_date ? salesInvoiceDetails.due_date : ''}}"
              display-format="YYYY.DD.MM"
            ></ion-datetime>
          </ion-item>
        </ion-col>
        <ion-col>
          <ion-item lines="none">
            <ion-label position="floating">Contact</ion-label>
            <ion-input
              readonly="true"
              type="text"
              value="{{salesInvoiceDetails?.contact_display ? salesInvoiceDetails.contact_display : ''}}"
              placeholder="Contact"
            ></ion-input>
          </ion-item>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col>
          <ion-item lines="none">
            <ion-label>Package Invoice</ion-label>
            <ion-checkbox slot="start"></ion-checkbox>
          </ion-item>
        </ion-col>
        <ion-col>
          <ion-item lines="none">
            <ion-label position="floating">Status</ion-label>
            <ion-input
            readonly="true"
            type="text"
            value="{{salesInvoiceDetails?.submitted ? 'Submitted' : 'Draft'}}"
            placeholder="Contact"
            [ngStyle]="{'color':salesInvoiceDetails?.submitted === true ? 'green' : 'red' }"
            ></ion-input>
          </ion-item>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-card-content>
</ion-card>
<ion-card>
  <ion-card-header>
    <ion-row>
      <ion-col class="ion-text-left">
        <ion-card-title>
          <ion-text color="tertiary">
            Items
          </ion-text>
        </ion-card-title>
      </ion-col>
    </ion-row>
  </ion-card-header>
  <ion-card-content>
    <ion-item lines="none">
      <mat-table #table [dataSource]="dataSource" style="width: 100%;">
        <ng-container matColumnDef="item_code">
          <mat-header-cell *matHeaderCellDef>Item</mat-header-cell>
          <mat-cell *matCellDef="let row">
            <ng-container *ngIf="row.name">
              {{ row.item_code }}
            </ng-container>
            <span class="add-comment" *ngIf="!row.name">
              Add an item
            </span>
            <!-- <sat-popover
              #p
              hasBackdrop
              xAlign="start"
              yAlign="start"
              (closed)="updateItem(row, $event)"
            >
              <inline-edit [value]="row.name" column="item"></inline-edit>
            </sat-popover> -->
          </mat-cell>
        </ng-container>
        <ng-container matColumnDef="item_name">
          <mat-header-cell *matHeaderCellDef>Item Name</mat-header-cell>
          <mat-cell *matCellDef="let row">
            <ng-container>
              {{ row.item_name }}
            </ng-container>
            <!--
          <sat-popover
            #p
            hasBackdrop
            xAlign="start"
            yAlign="start"
            (closed)="updateQuantity(row, $event)"
          >
            <inline-edit
              [value]="row.quantity"
              column="quantity"
            ></inline-edit>
          </sat-popover> -->
          </mat-cell>
        </ng-container>
        <ng-container matColumnDef="qty">
          <mat-header-cell *matHeaderCellDef>Quantity</mat-header-cell>
          <mat-cell *matCellDef="let row">
            <ng-container>
              {{ row.qty }}
            </ng-container>
            <!--
            <sat-popover
              #p
              hasBackdrop
              xAlign="start"
              yAlign="start"
              (closed)="updateQuantity(row, $event)"
            >
              <inline-edit
                [value]="row.quantity"
                column="quantity"
              ></inline-edit>
            </sat-popover> -->
          </mat-cell>
        </ng-container>
        <ng-container matColumnDef="rate">
          <mat-header-cell *matHeaderCellDef>Rate</mat-header-cell>
          <mat-cell *matCellDef="let row">
            <ng-container>
              {{ row.rate }}
            </ng-container>
            <!-- <sat-popover
              #p
              hasBackdrop
              xAlign="start"
              yAlign="start"
              (closed)="updateRate(row, $event)"
            >
              <inline-edit [value]="row.rate" column="rate"></inline-edit>
            </sat-popover> -->
          </mat-cell>
        </ng-container>
        <ng-container matColumnDef="amount">
          <mat-header-cell *matHeaderCellDef>Total</mat-header-cell>
          <mat-cell *matCellDef="let row">{{
            row.rate * row.qty
          }}</mat-cell>
        </ng-container>
        <mat-header-row
          *matHeaderRowDef="displayedColumns; sticky: true"
        ></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>
      </mat-table>
    </ion-item>
  </ion-card-content>
</ion-card>
